pipeline {
    agent any
    parameters {
        string(
            name: "VM_USERNAME",
            defaultValue: "ubuntu")
        string(
            name: "VM_IP",
            defaultValue: "18.220.186.221")
        string(
            name: "REGISTRY_URL",
            defaultValue: "registry-itau.mastertech.com.br")
        string(
            name: "MYIMAGE",
            defaultValue: "froide-imagem")
    }
    post {
        always {
            cleanWs()
        }
        failure {
            updateGitlabCommitStatus name: "build", state: "failed"
        }
        success {
            updateGitlabCommitStatus name: "build", state: "success"
        }
    }
    options {
        gitLabConnection("gitlab")
    }
    stages {
              stage("Rollout Deployment"){
                 when {branch "master"}
                 steps{
                    sh "kubectl rollout restart -n afr-namespace deployment/afr-investimento-deploy"
                    echo "Deployment via Kubernets finalizado com sucesso!"
                 }
              }
           }
}
